Loading...
Searching...
No Matches
ForceFields::MMFF::MMFFCovRadPauEleCollection Class Reference

`#include <Params.h>`

## Public Member Functions

const MMFFCovRadPauEle * | operator() (const unsigned int atomicNum) const
| Looks up the parameters for a particular key and returns them.
| MMFFCovRadPauEleCollection (std::string mmffCovRadPauEle="")

## Public Attributes

std::vector< MMFFCovRadPauEle > | d_params
| the parameter vector
std::vector< std::uint8_t > | d_atomicNum
| the atomic number vector

## Detailed Description

Definition at line 478 of file MMFF/Params.h.

## Constructor & Destructor Documentation

## MMFFCovRadPauEleCollection()

ForceFields::MMFF::MMFFCovRadPauEleCollection::MMFFCovRadPauEleCollection | ( | std::string | mmffCovRadPauEle = "" | ) |

References d_params.

## Member Function Documentation

## operator()()

const MMFFCovRadPauEle * ForceFields::MMFF::MMFFCovRadPauEleCollection::operator() | ( | const unsigned int | atomicNum | ) | const

inline

Looks up the parameters for a particular key and returns them.

Returns
  a pointer to the MMFFCovRadPauEle object, NULL on failure.

Definition at line 484 of file MMFF/Params.h.

References d_atomicNum, and d_params.

## Member Data Documentation

## d_atomicNum

std::vector<std::uint8_t> ForceFields::MMFF::MMFFCovRadPauEleCollection::d_atomicNum

the atomic number vector

Definition at line 503 of file MMFF/Params.h.

Referenced by operator()().

## d_params

std::vector<MMFFCovRadPauEle> ForceFields::MMFF::MMFFCovRadPauEleCollection::d_params

the parameter vector

Definition at line 502 of file MMFF/Params.h.

Referenced by MMFFCovRadPauEleCollection(), and operator()().

The documentation for this class was generated from the following file:

- MMFF/Params.h